/**
 * FormValidation (https://formvalidation.io)
 * The best validation library for JavaScript
 * (c) 2013 - 2023 Nguyen Huu Phuoc <me@phuoc.ng>
 */

// Core
export * from '@form-validation/core';

// Popular plugins
export * from '@form-validation/plugin-alias';
export * from '@form-validation/plugin-aria';
export * from '@form-validation/plugin-declarative';
export * from '@form-validation/plugin-default-submit';
export * from '@form-validation/plugin-dependency';
export * from '@form-validation/plugin-excluded';
export * from '@form-validation/plugin-field-status';
export * from '@form-validation/plugin-framework';
export * from '@form-validation/plugin-icon';
export * from '@form-validation/plugin-message';
export * from '@form-validation/plugin-sequence';
export * from '@form-validation/plugin-submit-button';
export * from '@form-validation/plugin-tooltip';
export * from '@form-validation/plugin-trigger';

// Popular validators
export * from '@form-validation/validator-between';
export * from '@form-validation/validator-blank';
export * from '@form-validation/validator-callback';
export * from '@form-validation/validator-choice';
export * from '@form-validation/validator-credit-card';
export * from '@form-validation/validator-date';
export * from '@form-validation/validator-different';
export * from '@form-validation/validator-digits';
export * from '@form-validation/validator-email-address';
export * from '@form-validation/validator-file';
export * from '@form-validation/validator-greater-than';
export * from '@form-validation/validator-identical';
export * from '@form-validation/validator-integer';
export * from '@form-validation/validator-ip';
export * from '@form-validation/validator-less-than';
export * from '@form-validation/validator-not-empty';
export * from '@form-validation/validator-numeric';
export * from '@form-validation/validator-promise';
export * from '@form-validation/validator-regexp';
export * from '@form-validation/validator-remote';
export * from '@form-validation/validator-string-case';
export * from '@form-validation/validator-string-length';
export * from '@form-validation/validator-uri';

// Additional validators
export * from '@form-validation/validator-base64';
export * from '@form-validation/validator-bic';
export * from '@form-validation/validator-color';
export * from '@form-validation/validator-cusip';
export * from '@form-validation/validator-ean';
export * from '@form-validation/validator-ein';
export * from '@form-validation/validator-grid';
export * from '@form-validation/validator-hex';
export * from '@form-validation/validator-iban';
export * from '@form-validation/validator-id';
export * from '@form-validation/validator-imei';
export * from '@form-validation/validator-imo';
export * from '@form-validation/validator-isbn';
export * from '@form-validation/validator-isin';
export * from '@form-validation/validator-ismn';
export * from '@form-validation/validator-issn';
export * from '@form-validation/validator-mac';
export * from '@form-validation/validator-meid';
export * from '@form-validation/validator-phone';
export * from '@form-validation/validator-rtn';
export * from '@form-validation/validator-sedol';
export * from '@form-validation/validator-siren';
export * from '@form-validation/validator-siret';
export * from '@form-validation/validator-step';
export * from '@form-validation/validator-uuid';
export * from '@form-validation/validator-vat';
export * from '@form-validation/validator-vin';
export * from '@form-validation/validator-zip-code';
